This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444578 - kvm: support booting from virtio drives using -kernel
kvm: support booting from virtio drives using -kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 06:48 EDT by Mark McLoughlin
Modified: 2008-05-20 11:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: kvm-65-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 11:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
0001-kvm-qemu-Allow-booting-from-extboot-drive-with-ke.patch (1.20 KB, patch)
2008-04-29 06:48 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2008-04-29 06:48:45 EDT
Currently if you try and do:

  $> qemu-kvm -kernel .. -initrd .. -drive boot=on,if=virtio,file=..

Then you get:

  A disk image must be given for 'hda' when booting a Linux kernel

Just sent a trivial fix upstream, attaching here
Comment 1 Mark McLoughlin 2008-04-29 06:48:45 EDT
Created attachment 304101 [details]
0001-kvm-qemu-Allow-booting-from-extboot-drive-with-ke.patch
Comment 2 Jeremy Katz 2008-04-29 08:47:29 EDT
Patch looks fine, but unless you feel strongly about it for F9, it's probably
not blocker material.  And you should be able to commit the patch to devel/  (or
any branch)

If I do a build for bug 444475, though, I can pull this in then.
Comment 3 Mark McLoughlin 2008-04-29 09:43:43 EDT
Okay, kvm-65-2 building in dist-f9-updates-candidate and dist-f10

Agreed that it's not an F9 blocker - would have added it to F9Blocker otherwise;
this isn't going to be an issue for anyone until we have virtio support in
virt-install/virt-manager, really

Useful for testing F-9 kvm/virtio installs with kickstart, though :)


* Tue Apr 29 2008 Mark McLoughlin <markmc@redhat.com> - 65-2
- Fix -kernel with virtio/extboot drives (#444578)
Comment 4 Fedora Update System 2008-05-14 07:52:01 EDT
kvm-65-2.fc9 has been submitted as an update for Fedora 9
Comment 5 Mark McLoughlin 2008-05-20 10:27:28 EDT
glommer: you broke my patch :-)

 Patch4: %{name}-65-kernel-virtio-boot.patch
+Patch4: %{name}-65-cirrus.patch
Comment 6 Fedora Update System 2008-05-20 11:17:50 EDT
kvm-65-4.fc9 has been submitted as an update for Fedora 9
Comment 7 Mark McLoughlin 2008-05-20 11:40:30 EDT
* Tue May 20 2008 Mark McLoughlin <markmc@redhat.com> - 65-4.fc9
- Re-enable patch to fix -kernel with virtio/extboot drives (#444578)

Note You need to log in before you can comment on or make changes to this bug.